Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchProjects.class.ts	(revision 58275)
@@ -4,11 +4,12 @@
 import {SearchCustomFilter, SearchUtilsClass} from '../../searchPages/searchUtils/searchUtils.class';
 import{EnvProperties} from '../../utils/properties/env-properties';
 import {StringUtils} from '../../utils/string-utils.class';
+import {SearchResult} from "../entities/searchResult";
 export class FetchProjects{
   private errorCodes: ErrorCodes;
   private errorMessages: ErrorMessagesComponent;
 
-  public results =[];
+  public results: SearchResult[] =[];
 
   public filters; // for getResultsForOrganizations
   public funders:any = [];  // for getResultsForOrganizations // this is filled with the initial query - before filtering
@@ -179,7 +180,6 @@
                 }
               }
             }
-
             if(filterquery == ""){
               this.searchUtils.totalResultsNoFilters = this.searchUtils.totalResults;
               this.funders = [];
@@ -187,7 +187,6 @@
                 //console.log("this.filters[i].filterId:"+this.filters[i].filterId);
                 if(this.filters[i].filterId == "funder"){
                    this.funders = (this.filters[i].values);
-
                 }
               }
               //console.log("  this.funders:"+   this.funders);
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/schema2jsonld/schema2jsonld.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/schema2jsonld/schema2jsonld.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/schema2jsonld/schema2jsonld.component.ts	(revision 58275)
@@ -1,50 +1,48 @@
 import {Component, ElementRef, Input} from '@angular/core';
-import { OpenAireJsonldConverterService } from './service/open-aire-jsonld-converter.service';
-import { JsonldDocumentSerializerService } from './service/jsonld-document-serializer.service';
+import {OpenAireJsonldConverterService} from './service/open-aire-jsonld-converter.service';
+import {JsonldDocumentSerializerService} from './service/jsonld-document-serializer.service';
+
 @Component({
   selector: 'schema2jsonld',
   template: `
-  <ngx-json-ld [json]="json"></ngx-json-ld>
+    <ngx-json-ld [json]="json"></ngx-json-ld>
   `
 })
 export class Schema2jsonldComponent {
-@Input() data; // for project, organization, datasource
-@Input() URL;
-@Input() logoURL; // for home, search
-@Input() otherURL; //for project, datasource
-@Input() name;
-@Input() searchAction = true;
-@Input() type="result";
-
-json;
-  constructor(	private documentParser: OpenAireJsonldConverterService,
-		private documentSerializer: JsonldDocumentSerializerService) {
-
+  @Input() data; // for project, organization, datasource
+  @Input() URL;
+  @Input() logoURL; // for home, search
+  @Input() otherURL; //for project, datasource
+  @Input() name;
+  @Input() searchAction = true;
+  @Input() type = "result";
+  public json;
+  
+  constructor(private documentParser: OpenAireJsonldConverterService,
+              private documentSerializer: JsonldDocumentSerializerService) {
+    
   }
-
+  
   ngOnInit() {
-      var docOvject;
-      if(this.type == 'project'){
-        docOvject = this.documentParser.convertProject(this.data, this.URL, this.otherURL);
-        this.json = this.documentSerializer.serializeOrganization(docOvject);
-      }else if(this.type == 'organization'){
-        docOvject = this.documentParser.convertOrganization(this.data, this.URL);
-        this.json = this.documentSerializer.serializeOrganization(docOvject);
-      }else if(this.type == 'datasource'){
-        docOvject = this.documentParser.convertDatasource(this.data, this.URL, this.otherURL);
-        this.json = this.documentSerializer.serializeOrganization(docOvject);
-      }else if(this.type == 'home'){
-        this.json = this.documentParser.createHome(this.name, this.URL, this.logoURL);
-      }else if(this.type == 'search'){
-        this.json = this.documentParser.createSearchPage(this.name, this.URL, this.logoURL, this.searchAction);
-      }else if(this.type == 'result'){
-        docOvject = this.documentParser.convertResult(this.data, this.URL);
-        this.json = this.documentSerializer.serializeDataset(docOvject);
-      }else{
-        this.json = this.documentParser.createSimplePage(this.name, this.URL);
-      }
-
+    var docOvject;
+    if (this.type == 'project') {
+      docOvject = this.documentParser.convertProject(this.data, this.URL, this.otherURL);
+      this.json = this.documentSerializer.serializeOrganization(docOvject);
+    } else if (this.type == 'organization') {
+      docOvject = this.documentParser.convertOrganization(this.data, this.URL);
+      this.json = this.documentSerializer.serializeOrganization(docOvject);
+    } else if (this.type == 'datasource') {
+      docOvject = this.documentParser.convertDatasource(this.data, this.URL, this.otherURL);
+      this.json = this.documentSerializer.serializeOrganization(docOvject);
+    } else if (this.type == 'home') {
+      this.json = this.documentParser.createHome(this.name, this.URL, this.logoURL);
+    } else if (this.type == 'search') {
+      this.json = this.documentParser.createSearchPage(this.name, this.URL, this.logoURL, this.searchAction);
+    } else if (this.type == 'result') {
+      docOvject = this.documentParser.convertResult(this.data, this.URL);
+      this.json = this.documentSerializer.serializeDataset(docOvject);
+    } else {
+      this.json = this.documentParser.createSimplePage(this.name, this.URL);
+    }
   }
-
-
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/feedback/feedback.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/feedback/feedback.component.ts	(nonexistent)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/feedback/feedback.component.ts	(revision 58275)
@@ -0,0 +1,108 @@
+import {
+  Component,
+  ElementRef,
+  EventEmitter,
+  Input,
+  OnChanges,
+  OnInit,
+  Output,
+  SimpleChanges,
+  ViewChild
+} from "@angular/core";
+import {ResultLandingInfo} from "../../utils/entities/resultLandingInfo";
+import {EnvProperties} from "../../utils/properties/env-properties";
+import {FormArray, FormBuilder, FormGroup, Validators} from "@angular/forms";
+import {AlertModal} from "../../utils/modal/alert";
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
+import {OrganizationInfo} from "../../utils/entities/organizationInfo";
+import {ProjectInfo} from "../../utils/entities/projectInfo";
+import {DataProviderInfo} from "../../utils/entities/dataProviderInfo";
+import {EmailService} from "../../utils/email/email.service";
+
+@Component({
+  selector: 'feedback',
+  templateUrl: 'feedback.component.html'
+})
+export class FeedbackComponent implements OnInit, OnChanges {
+  @ViewChild('feedback') feedback: ElementRef;
+  @ViewChild('backModal') backModal: AlertModal;
+  @Input() showForm: boolean = false;
+  @Input() resultLandingInfo: ResultLandingInfo = null;
+  @Input() organizationInfo: OrganizationInfo = null;
+  @Input() projectInfo: ProjectInfo = null;
+  @Input() dataProviderInfo: DataProviderInfo = null;
+  @Input() title: string = null;
+  @Input() properties: EnvProperties = null;
+  @Input() entityType: string = null;
+  @Input() fields: string[] = [];
+  @Output() show: EventEmitter<boolean> = new EventEmitter<boolean>();
+  
+  public sent: boolean = false;
+  public form: FormGroup;
+  public url: string = null;
+  
+  constructor(private fb: FormBuilder,
+              private emailService: EmailService) {
+  }
+  
+  ngOnInit(): void {
+    this.init();
+    if(typeof window !== "undefined") {
+     this.url = window.location.href;
+    }
+    if(this.resultLandingInfo) {
+      this.title = this.resultLandingInfo.title;
+    } else if(this.organizationInfo) {
+      this.title = this.organizationInfo.title.name;
+    } else if(this.dataProviderInfo) {
+      this.title = this.dataProviderInfo.title.name;
+    }
+  }
+  
+  ngOnChanges(changes: SimpleChanges): void {
+    if(changes.showForm) {
+      this.init();
+    }
+  }
+  
+  init() {
+    this.sent = false;
+    this.form = this.fb.group({
+      issues: this.fb.array([], Validators.required)
+    });
+    this.addIssue();
+  }
+  
+  public addIssue() {
+    let issue: FormGroup = this.fb.group({
+      field: this.fb.control('', Validators.required),
+      report: this.fb.control('', Validators.required)
+    });
+    this.issues.push(issue);
+  }
+  
+  public removeIssue(index: number) {
+    this.issues.removeAt(index);
+  }
+  
+  public get issues(): FormArray {
+    return <FormArray>this.form.get('issues');
+  }
+  
+  changeShowForm(value: boolean) {
+    this.show.emit(value);
+    HelperFunctions.scroll();
+  }
+  
+  public openBackModal() {
+    this.backModal.alertTitle = 'Go back to ' + this.entityType + '\'s page';
+    this.backModal.message = 'All changes will be deleted. Are you sure you want to proceed?';
+    this.backModal.okButtonText = 'Yes';
+    this.backModal.cancelButtonText = 'No';
+    this.backModal.open();
+  }
+  
+  public sendReport() {
+    this.sent = true;
+  }
+}
\ No newline at end of file
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/feedback/feedback.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/feedback/feedback.module.ts	(nonexistent)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/feedback/feedback.module.ts	(revision 58275)
@@ -0,0 +1,16 @@
+import {NgModule} from "@angular/core";
+import {CommonModule} from "@angular/common";
+import {FeedbackComponent} from "./feedback.component";
+import {LandingHeaderModule} from "../landing-utils/landing-header/landing-header.module";
+import {ReactiveFormsModule} from "@angular/forms";
+import {MatSelectModule} from "@angular/material/select";
+import {AlertModalModule} from "../../utils/modal/alertModal.module";
+import {EmailService} from "../../utils/email/email.service";
+
+@NgModule({
+  imports: [CommonModule, LandingHeaderModule, ReactiveFormsModule, MatSelectModule, AlertModalModule],
+  declarations: [FeedbackComponent],
+  providers: [EmailService],
+  exports: [FeedbackComponent]
+})
+export class FeedbackModule {}
\ No newline at end of file
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.module.ts	(revision 58275)
@@ -1,41 +1,47 @@
 //import {MaterialModule} from '@angular/material';
-import { NgModule}            from '@angular/core';
-import { CommonModule }       from '@angular/common';
-import { FormsModule }        from '@angular/forms';
-import { RouterModule }       from '@angular/router';
+import { NgModule}       from '@angular/core';
+import { CommonModule }  from '@angular/common';
+import { FormsModule }   from '@angular/forms';
+import { RouterModule }  from '@angular/router';
+import {MatSelectModule} from "@angular/material";
 
-import { ProjectServiceModule} from './projectService.module';
+import { ProjectComponent } from './project.component';
+import {ProjectServiceModule} from './projectService.module';
+import {HtmlProjectReportService} from "../htmlProjectReport/htmlProjectReport.service";
+import {ReportsServiceModule} from '../../services/reportsService.module';
+import {SearchResearchResultsServiceModule} from '../../services/searchResearchResultsService.module';
+
+import {MetricsModule} from '../landing-utils/metrics.module';
+import {LandingModule } from '../landing-utils/landing.module';
+import {LandingHeaderModule} from "../landing-utils/landing-header/landing-header.module";
+
 import {LoadingModalModule} from '../../utils/modal/loadingModal.module';
 import {AlertModalModule} from '../../utils/modal/alertModal.module';
 import {ErrorMessagesModule} from '../../utils/errorMessages.module';
+import {HelperModule} from "../../utils/helper/helper.module";
+import {IFrameModule} from '../../utils/iframe.module';
 
-import { ProjectComponent } from './project.component';
-import {IFrameModule} from '../../utils/iframe.module';
-import {MetricsModule} from '../landing-utils/metrics.module';
-import {ReportsServiceModule} from '../../services/reportsService.module';
-import {SearchResearchResultsServiceModule} from '../../services/searchResearchResultsService.module';
-import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
-import { LandingModule } from '../landing-utils/landing.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 import {IsRouteEnabled} from '../../error/isRouteEnabled.guard';
 import {Schema2jsonldModule} from '../../sharedComponents/schema2jsonld/schema2jsonld.module';
-import { SEOServiceModule } from '../../sharedComponents/SEO/SEOService.module';
-import {HelperModule} from "../../utils/helper/helper.module";
+import {SEOServiceModule } from '../../sharedComponents/SEO/SEOService.module';
+import {FeedbackModule} from "../feedback/feedback.module";
 
 @NgModule({
   imports: [
     CommonModule, FormsModule, RouterModule, LandingModule,
     LoadingModalModule, AlertModalModule, ErrorMessagesModule,
-    TabResultModule, IFrameModule, MetricsModule, ReportsServiceModule,
+    IFrameModule, MetricsModule, ReportsServiceModule,
     SearchResearchResultsServiceModule, ProjectServiceModule,
-    Schema2jsonldModule, SEOServiceModule, HelperModule
-
+    Schema2jsonldModule, SEOServiceModule, HelperModule,
+    LandingHeaderModule, MatSelectModule, FeedbackModule
+  
   ],
   declarations: [
     ProjectComponent
   ],
   providers:[
-    FreeGuard, IsRouteEnabled
+    FreeGuard, IsRouteEnabled, HtmlProjectReportService
   ],
   exports: [
     ProjectComponent
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.service.ts	(revision 58275)
@@ -98,32 +98,79 @@
 
     parseProjectInfo (data: any, properties:EnvProperties):any {
         this.projectInfo = new ProjectInfo();
+        this.projectInfo.funding = {funderName: "", funderShortName: "", code: "", fundingStream: "",
+                                    budget: "", contribution: "", currency: ""};
+
+        // ['result']['header']['dri:objIdentifier']
         if(data[3] != null) {
           this.projectInfo.id = data[3];
         }
-        if(data[0] != null) {
-            this.projectInfo.acronym = data[0].acronym;
-            this.projectInfo.title = Array.isArray(data[0]['title']) ? data[0].title[0] : data[0].title;
-            this.projectInfo.callIdentifier = data[0].callidentifier;
-            this.projectInfo.contractNum = data[0].code;
-            this.projectInfo.startDate = data[0].startdate;
-            this.projectInfo.endDate = data[0].enddate;
-            this.projectInfo.openAccessMandatePublications = data[0].oamandatepublications;
-            this.projectInfo.specialClause39 = data[0].ecsc39;
-            this.projectInfo.openAccessMandateDatasets = data[0].ecarticle29_3;
-        }
-        if(data[1] != null) {
+
+      // ['result']['metadata']['oaf:entity']['oaf:project']['fundingtree']
+      if(data[1] != null) {
             let funding: {"funderName": string, "funderShortname": string, "stream": string};
             funding = this.parsingFunctions.parseFundingTrees(data[1]);
+            if(funding.funderName) {
+              this.projectInfo.funding.funderName = funding.funderName;
+            }
             if(funding.funderShortname) {
-              this.projectInfo.funder = funding.funderShortname;
+              this.projectInfo.funding.funderShortName = funding.funderShortname;
             }
             if(funding.stream) {
-              this.projectInfo['funding'] = funding.stream;
+              this.projectInfo.funding.fundingStream = funding.stream;
             }
+      }
+
+      // ['result']['metadata']['oaf:entity']['oaf:project']
+      if(data[0] != null) {
+        this.projectInfo.acronym = data[0].acronym;
+        this.projectInfo.title = Array.isArray(data[0]['title']) ? data[0].title[0] : data[0].title;
+        this.projectInfo.funding.code = data[0].code;
+        if(data[0].startdate) {
+          let date: number = Date.parse(data[0].startdate);
+          this.projectInfo.startDate = (date ? date : null);
         }
+        if(data[0].enddate) {
+          let date: number = Date.parse(data[0].enddate);
+          this.projectInfo.endDate = (date ? date : null);
+        }
+        if(this.projectInfo.endDate || this.projectInfo.startDate) {
+          let todayDate = Date.parse(new Date().toString());
+          this.projectInfo.currentDate = todayDate;
+          if(this.projectInfo.startDate) {
+            let startDate = +(this.projectInfo.startDate);
+            if (todayDate < startDate) {
+              this.projectInfo.status = "Not started";
+            }
+          }
+          if(this.projectInfo.endDate && !this.projectInfo.status) {
+            let endDate = +(this.projectInfo.endDate);
+            if (todayDate <= endDate) {
+              this.projectInfo.status = "On going";
+            } else {
+              this.projectInfo.status = "Closed";
+            }
+          }
+        }
+        if(this.projectInfo.funding) {
+          if(this.projectInfo.funding.funderShortName == "EC") {
+            this.projectInfo.openAccessMandatePublications = data[0].oamandatepublications;
+            this.projectInfo.specialClause39 = data[0].ecsc39;
+            this.projectInfo.openAccessMandateDatasets = data[0].ecarticle29_3;
+          }
+          this.projectInfo.funding.budget = data[0].totalcost;//"10000";
+          this.projectInfo.funding.contribution = data[0].fundedamount;//"200100";
+          this.projectInfo.funding.currency = data[0].currency;//"EUR";
+        }
+        if(!Array.isArray(data[0]['summary'])) {
+          this.projectInfo.description = (data[0]['summary']) ? String(data[0]['summary']) : "";
+        } else {
+          this.projectInfo.description = (data[0]['summary'][0]) ? String(data[0]['summary'][0]) : "";
+        }
+      }
 
-        if(data[2] != null) {
+      // ['result']['metadata']['oaf:entity']['oaf:project']['rels']['rel']
+      if(data[2] != null) {
             this.projectInfo.organizations = [];//new Map<string, string>();
 
             let acronym: string = "";
@@ -170,8 +217,8 @@
             }
         }
 
-        if(this.projectInfo.funder == "EC") {
-            this.projectInfo.url = properties.cordisURL+this.projectInfo.contractNum;
+        if(this.projectInfo.funding && this.projectInfo.funding.funderShortName == "EC") {
+            this.projectInfo.url = properties.cordisURL+this.projectInfo.funding.code;
             this.projectInfo.urlInfo = "Detailed project information (CORDIS)";
         }
 
